<?xml version="1.0" encoding="ISO-8859-1" ?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
	
	<xsl:output method="xml"/>
		
	<!-- This variable contains the section du edit -->
	<xsl:param name="SECT"/>
	<xsl:variable name="section" select="$SECT"/>
	

	<!-- Global variables used by the templates -->
	<xsl:param name="usertype"/>
	<xsl:param name="username"/>
	<xsl:param name="actualdate"/>
	<xsl:param name="now"/>
	<xsl:param name="version"/>
	<xsl:param name="mappath"/>
	<xsl:param name="logdata"/>
	<xsl:param name="skinsnode"/>
	<xsl:param name="uploadfilenode"/>
	
	<!-- Querystrings-->
	<xsl:param name="id"/>
	<xsl:param name="page" select="0"/>
	<xsl:param name="dir"/>
	<xsl:param name="cat"/>
	<xsl:param name="mnu"/>
	<xsl:param name="type"/>
	<xsl:param name="ACT"/>
	<xsl:param name="content"/>
	<xsl:param name="keyword"/>
	<xsl:param name="pic"/>
	<xsl:param name="vp"/>
	<xsl:param name="d"/>
	<xsl:param name="m"/>
	<xsl:param name="y"/>
	<xsl:param name="cmd"/>
	
	<!-- paging :-) -->
	<xsl:param name="stat_pagesize" select="400"/>
	<xsl:param name="forum_pagesize" select="100"/>
	<xsl:param name="member_pagesize" select="100"/>
	
	<!--Data files path -->	
	<xsl:param name="languagefile"/>
	<xsl:param name="languagespath"/>
	<xsl:param name="datafile"/>
	<xsl:param name="discussionfile"/>
	<xsl:param name="pollfile"/>
	<xsl:param name="logfile"/>
	<xsl:param name="memberfile"/>
	<xsl:param name="reactfile"/>
	<xsl:param name="guestbookfile"/>
	<xsl:param name="taskfile"/>
	<xsl:param name="mediafile"/>
	<xsl:param name="downloadfile"/>
	<xsl:param name="categoryfile"/>
	<xsl:param name="bannerfile"/>
	<xsl:param name="directoryfile"/>
		
	<!-- Create the language's strings array -->
	<xsl:variable name="language" select="/siteinfo/data/language"/>
	<xsl:variable name="helpfilename"  select="document(concat($languagespath, '\_index.xml'))//languages/language[id=$language]/helpfile"/>
	<xsl:variable name="languagefilename"  select="document(concat($languagespath, '\_index.xml'))//languages/language[id=$language]/filename"/>
	<xsl:variable name="string" select="document(concat($languagespath, '\', $languagefilename))//language/strings/string"/>
	
	
	<!-- includes of the differents templates library -->
	<xsl:include href="admin_macros.xsl"/>
	<xsl:include href="lib_desktop.xsl"/>
	<xsl:include href="lib_website.xsl"/>
	<xsl:include href="lib_webpages.xsl"/>
	<xsl:include href="lib_categories.xsl"/>
	<xsl:include href="lib_banner.xsl"/>
	<xsl:include href="lib_download.xsl"/>
	<xsl:include href="lib_contents.xsl"/>
	<xsl:include href="lib_medias.xsl"/>
	<xsl:include href="lib_polls.xsl"/>
	<xsl:include href="lib_tips.xsl"/>
	<xsl:include href="lib_gallery.xsl"/>
	<xsl:include href="lib_users.xsl"/>
	<xsl:include href="lib_guestbook.xsl"/>
	<xsl:include href="lib_reactions.xsl"/>
	<xsl:include href="lib_upload.xsl"/>
	<xsl:include href="lib_newsgroups.xsl"/>
	<xsl:include href="lib_messages.xsl"/>
	<xsl:include href="lib_stats.xsl"/>
	<xsl:include href="lib_help.xsl"/>
	<xsl:include href="lib_directories.xsl"/>
	
	
<xsl:template match="/"> 		
	<HTML>
		<HEAD>
			<TITLE>
				<xsl:value-of select="/siteinfo/data/title"/>
			</TITLE>
			<META http-equiv="Content-Type" content="text/html; charset={/siteinfo/data/encoding}"/>
			<STYLE type="text/css">
				BODY {color: #000000; font-size: 9px; font-weight: bold; font-family: arial;  border: 1px outset; background: buttonface; }
				
				table.block {width: 100%; background: white; border: 1px #DDDDDD solid;}
				.category_title {background-image: url(admin/media/bg_top.gif);background-repeat: repeat-x; color: white; height: 30px; width: 100%; font-size: 14px; font-weight: bold;}
				.xp_sel{background: #F7F7F7; font-weight: bold; width: 150;}
								
				input{font-size: 12px; font-weight: normal; font-family: arial; }
				input.full{ width: 450px; background-color: #D6EBFF; color: #000000; font-weight: normal; border: 1px #4C4C4C solid;}
				input.mini{ width: 60px; background-color: #D6EBFF; color: #000000;font-weight: normal; border: 1px #4C4C4C solid;}
				input.medium{ width: 150px; background-color: #D6EBFF; color: #000000;font-weight: normal; border: 1px #4C4C4C solid;}
				input.medium2{ width: 300px; background-color: #D6EBFF; color: #000000;font-weight: normal; border: 1px #4C4C4C solid;}
                           input.inactive{  border: 0px; width: 300px; font-weight: normal; background: #FFFFFF; color: #ACA899;}
								
				textarea{height: 150px; width: 450px; background-color: #D6EBFF; color: #000000; font-size: 12px; font-weight: noemal; font-family: arial; border: 1px #4C4C4C solid; filter: alpha(opacity=100);BEHAVIOR: url(admin/js/textarea.htc)}
				select {width: 200px; background-color: #D6EBFF; color: #000000; font-size: 12px; font-weight: normal; font-family: arial; border: 1px #4C4C4C solid; filter: alpha(opacity=100);}
								
				tr {vertical-align: top;}
				td{font-family: tahoma; font-size: 11 px; icon: hand;}
				td.wtitle{font-family: tahoma; font-size: 12 px; font-weight: bold; color: #000000; filter: progid:gradient(enabled=true, startColor=#550000, endColor=#55FFFF)}
				td.header{border: 1px outset; background: buttonface; font-weight: normal; text-align: center;}
				td.icon{border: 1px outset; background: buttonface; font-weight: bold; text-align: left;}
				td.data{border: 1px inset; background: white; font-weight: normal; text-align: left;}
				tr.data{border: 1px inset; background: white; font-weight: normal; text-align: left;}
				
				td.inactive{border: 1px inset; background: white; font-weight: normal; text-align: left; color: #D0D0D0; text-decoration: line-through;}
				tr.inactive{border: 1px inset; background: white; font-weight: normal; text-align: left; color: #D0D0D0; text-decoration: line-through;}
				tr.header{border: 1px outset; background: buttonface;}
				td.button{border: 1px inset; background: buttonface;}
																			
				.TopMenuItem{ BORDER-RIGHT: #cecece 1px solid; PADDING-RIGHT: 15px; BORDER-TOP: #cecece 1px solid; PADDING-LEFT: 15px; FONT-WEIGHT: bold; FONT-SIZE: 9pt; BACKGROUND: #cecece; PADDING-BOTTOM: 1px; BEHAVIOR: url(admin/media/hover.htc); BORDER-LEFT: #cecece 1px solid; CURSOR: hand; PADDING-TOP: 1px;  BORDER-BOTTOM: #cecece 1px solid; FONT-FAMILY: Verdana,Arial}
				.TopMenuItemOver{ BORDER-LEFT-COLOR: #808080; BACKGROUND: white; BORDER-BOTTOM-COLOR: #808080; COLOR: #cc6600; BORDER-TOP-COLOR: #808080; BORDER-RIGHT-COLOR: #808080; }
				.TopMenuItemClick{ BORDER-LEFT-COLOR: #808080; BACKGROUND: #808080; BORDER-BOTTOM-COLOR: #808080; COLOR: #cc6600; BORDER-TOP-COLOR: #808080; BORDER-RIGHT-COLOR: #808080; }
				
				#editBar  {position: absolute; display: none; width:399px; border: 1px black solid; background: lightgrey ; text-align: center}
				#editBar INPUT {font-size:10pt; width: 2em; font-weight: bold}
								
			</STYLE>
			
			<script language="JavaScript" src="Admin/js/pupdate.js"></script>
			
			<SCRIPT language="javascript">						
				function over(objet){ objet.style.background = '#FFFFFF'; objet.style.color = '#FF0000';}
				function notover(objet) {objet.style.background = 'buttonface';objet.style.color = '#000000';}
				
				//Action executer lors du passage sur un tr
				function overtr(objet) {objet.style.background = '#316AC5';	objet.style.color = '#FFFFFF';}
				
				function notovertr(objet){objet.style.background = '#FFFFFF';	objet.style.color = '#000000';}

				function goto(url){document.location = url;}
				
				function selected(objet){if (objet.style.background == '#A4C5E6')	objet.style.background = '#FFFFFF';	else objet.style.background = '#A4C5E6';}
				
				function SwapMode()
				{
					if (document.all['advancedfields'])
					{
						if (document.all['advancedfields'].style.display == 'none') 
						{
						    document.all['advancedfields'].style.display = 'block';
							document.all['swaper'].innerHTML = '<img  src="admin/media/collapse.gif" hspace="4" align="middle"/><xsl:value-of select="$string[440]"/>';						    
						}
						else  
						{
							document.all['advancedfields'].style.display = 'none';
							document.all['swaper'].innerHTML = '<img  src="admin/media/expand.gif" hspace="4" align="middle"/><xsl:value-of select="$string[439]"/>';
						}
					}
				}
			</SCRIPT>		
												
		</HEAD>
				
	
	<body  style="margin: 0px">	
    	  	<table border="0" width="100%" cellpadding="0" cellspacing="2" height="15">
        		<tr><td class="wtitle" height="15" width="100%">&#160;<a href="default.asp?refresh=True"><img align="absmiddle" src="admin/media/gohome.gif" border="0"/></a>&#160;<xsl:value-of select="$string[position()=1]"/></td></tr>
        	</table>		
        		
		<table border="0" width="100%" cellpadding="0" cellspacing="2" height="100%">
		<tr valign="top"> 			
			<td width="110" bgcolor="appworkspace" align="center" style="border: 1px inset" onselectstart="return false;">
				<img src="admin/media/dot.gif" width="110" height="1"/><br/>		
				<table cellspacing="0" cellpadding="0" border="0" width="110" bgcolor="appworkspace">
					<tr><td>				
						<SCRIPT LANGUAGE="JAVASCRIPT">
							OB_Top=29;								//position from top (px)
							OB_Left=5;									//position from left (px)
							OB_Margin=10;								//top and bottom margins between icons and borders
							OB_Width=104;								//bar width
							OB_Height=540;								//bar height
							OB_SlideSpeed=1.75;						//speed during slide movement
							OB_BackgroundColor="BUTTONFACE";		//background color of the bar BACKGROUND
							OB_ItemsSpacing=20;						//space between two items (icons and text)
							OB_BorderWidth=1;							//border width
							OB_BorderStyle="jungle";					//border style
							OB_BorderColor="#DDDDDD";				//border color
							OB_IconsWidth=32;							//icons width
							OB_IconsHeight=32;							//icons height
							OB_ButtonFontFamily="tahoma";				//font family of button characters
							OB_ButtonFontSize=8;						//font size    "         "       "  
							OB_ButtonFontColor="black";				//font color   "         "       "     
							OB_ButtonHeight=20;						//button height
							OB_LabelFontFamily="tahoma";				//font family of text labels
							OB_LabelFontSize=8;						//font size    "   "   "   "
							OB_LabelFontColor="black";					//font color   "   "   "   "
							OB_LabelMargin=3;							//margin between labels and icons
							OB_UpArrow="admin/media/arrow_up.gif";					//arrow for slide up	
							OB_DownArrow="admin/media/arrow_down.gif";				//arrow for slide up	
							OB_ArrowWidth=16;							//arrow width
							OB_ArrowHeight=16;							//arrow height
							OB_ArrowSlideSpeed=8;						//speed for items scrolling
						</SCRIPT>
						
						<xsl:choose>
							<xsl:when test=" $usertype='administrator'">
								<SCRIPT>					
									OutBarFolder1=new Array(
									"<xsl:value-of select='$string[220]'/>",
									"admin/media/desktop.gif", "<xsl:value-of select='$string[280]'/>", "default.asp?ACT=1", "top",
									"admin/media/website.gif","<xsl:value-of select='$string[3]'/>","default.asp?ACT=1&amp;SECT=M1","top",
									"admin/media/category.gif","<xsl:value-of select='$string[330]'/>","default.asp?ACT=1&amp;SECT=M18","top",
									"admin/media/webpages.gif","<xsl:value-of select='$string[4]'/>","default.asp?ACT=1&amp;SECT=M2","top",
									"admin/media/content.gif","<xsl:value-of select='$string[5]'/>","default.asp?ACT=1&amp;SECT=M3","top",
									"admin/media/upload.gif","<xsl:value-of select='$string[14]'/>","default.asp?ACT=1&amp;SECT=M11","top");
									
									OutBarFolder2=new Array(
									"<xsl:value-of select='$string[221]'/>",
									"admin/media/polls.gif","<xsl:value-of select='$string[6]'/>","default.asp?ACT=1&amp;SECT=M5","top",
									"admin/media/tips.gif","<xsl:value-of select='$string[7]'/>","default.asp?ACT=1&amp;SECT=M6","top",
									"admin/media/pictures.gif","<xsl:value-of select='$string[8]'/>","default.asp?ACT=1&amp;SECT=M7","top",
									"admin/media/newsgroup.gif","<xsl:value-of select='$string[13]'/>","default.asp?ACT=1&amp;SECT=M12","top",
									"admin/media/banners.gif","<xsl:value-of select='$string[340]'/>","default.asp?ACT=1&amp;SECT=M19","top",
									"admin/media/directories.gif","<xsl:value-of select='$string[482]'/>","default.asp?ACT=1&amp;SECT=M22","top",
									"admin/media/downloads.gif","<xsl:value-of select='$string[350]'/>","default.asp?ACT=1&amp;SECT=M20","top");
									
									OutBarFolder3=new Array(
									"<xsl:value-of select='$string[222]'/>",
									"admin/media/users.gif","<xsl:value-of select='$string[9]'/>","default.asp?ACT=1&amp;SECT=M8","top",
									"admin/media/reaction.gif","<xsl:value-of select='$string[12]'/>","default.asp?ACT=1&amp;SECT=M10","top",
									"admin/media/posts.gif","<xsl:value-of select='$string[10]'/>","default.asp?ACT=1&amp;SECT=M9","top",
									"admin/media/newsgroup.gif","<xsl:value-of select='$string[272]'/>","default.asp?ACT=1&amp;SECT=M16","top");
									
									OutBarFolder4=new Array(
									"<xsl:value-of select='$string[223]'/>",
									"admin/media/stats.gif","<xsl:value-of select='$string[213]'/>","default.asp?ACT=1&amp;SECT=M13","top",
									"admin/media/stock_img.gif","<xsl:value-of select='$string[214]'/>","default.asp?ACT=1&amp;SECT=M14","top",
									"admin/media/browsers.gif","<xsl:value-of select='$string[216]'/>","default.asp?ACT=1&amp;SECT=M21","top");
									
									OutBarFolder5=new Array(
									"<xsl:value-of select='$string[224]'/>",
									"admin/media/help.gif","<xsl:value-of select='$string[225]'/>","default.asp?ACT=1&amp;SECT=M17","top");
														
								</SCRIPT>
							</xsl:when>
							<xsl:when test="$usertype='editor'">
								<SCRIPT>
									OutBarFolder1=new Array(
										"<xsl:value-of select='$string[220]'/>",
										"admin/media/desktop.gif", "<xsl:value-of select='$string[280]'/>", "default.asp?ACT=1", "top",
										"admin/media/content.gif","<xsl:value-of select='$string[5]'/>","default.asp?ACT=1&amp;SECT=M3","top",
										"admin/media/upload.gif","<xsl:value-of select='$string[14]'/>","default.asp?ACT=1&amp;SECT=M11","top");											
								</SCRIPT>
							</xsl:when>
						</xsl:choose>						
							
						<SCRIPT src="admin/js/outbar.js"></SCRIPT>				
				</td></tr>				
			</table>	
			</td>
			
			<!-- Cellule principale -->
			<td bgcolor="appworkspace">
						
				<!-- on affiche en fonction des querystrings -->
				<xsl:choose>
					<xsl:when test="$SECT='M1'">
						<xsl:call-template name="website_manager"/>
						<script>OutlookLikeBar.FolderClicked(1);</script>
					</xsl:when>
					
					<xsl:when test="$SECT='M2'">
						<xsl:call-template name="webpage_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M3'">
						<xsl:call-template name="content_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M4'">
						&#160;<!--<xsl:call-template name="media_manager"/>-->
					</xsl:when>
					
					<xsl:when test="$SECT='M5'">
						<script>OutlookLikeBar.FolderClicked(2);</script>
						<xsl:call-template name="poll_manager"/>						
					</xsl:when>
					
					<xsl:when test="$SECT='M6'">
						<script>OutlookLikeBar.FolderClicked(2);</script>
						<xsl:call-template name="tip_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M7'">
						<script>OutlookLikeBar.FolderClicked(2);</script>
						<xsl:call-template name="gallery_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M8'">
						<script>OutlookLikeBar.FolderClicked(3);</script>
						<xsl:call-template name="member_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M9'">
						<script>OutlookLikeBar.FolderClicked(3);</script>
						<xsl:call-template name="guestbook_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M10'">
						<script>OutlookLikeBar.FolderClicked(3);</script>
						<xsl:call-template name="reactions_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M11'">
						<xsl:call-template name="upload_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M12'">
						<script>OutlookLikeBar.FolderClicked(2);</script>
						<xsl:call-template name="newsgroup_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M16'">
						<script>OutlookLikeBar.FolderClicked(3);</script>
						<xsl:call-template name="message_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M13'">
						<script>OutlookLikeBar.FolderClicked(4);</script>
						<xsl:call-template name="stat_grid"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M14'">
						<script>OutlookLikeBar.FolderClicked(4);</script>
						<xsl:call-template name="stat_graphic"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M15'">
						<script>OutlookLikeBar.FolderClicked(4);</script>
						<xsl:call-template name="stat_detail"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M17'">
						<script>OutlookLikeBar.FolderClicked(5);</script>
						<xsl:call-template name="help"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M18'">
						<xsl:call-template name="category_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M19'">
						<script>OutlookLikeBar.FolderClicked(2);</script>
						<xsl:call-template name="banner_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M20'">
						<script>OutlookLikeBar.FolderClicked(2);</script>
						<xsl:call-template name="download_manager"/>
					</xsl:when>
					
					<xsl:when test="$SECT='M21'">
						<script>OutlookLikeBar.FolderClicked(4);</script>
						<xsl:call-template name="browser_detail"/>
					</xsl:when>
					
					<!-- Directories -->
					<xsl:when test="$SECT='M22'">
						<script>OutlookLikeBar.FolderClicked(2);</script>
						<xsl:call-template name="directories_manager"/>
					</xsl:when>
					
					<xsl:otherwise>						
						<xsl:call-template name="desktop"/>
					</xsl:otherwise>
				</xsl:choose>
						
		</td></tr>		
	</table>
	
		<!-- PopUp Calendar BEGIN -->
		<script language="javascript">
		   <![CDATA[
				if (document.all) {
				 document.writeln("<div id=\"PopUpCalendar\" style=\"position:absolute; left:0px; top:0px; z-index:7; width:200px; height:77px; overflow: visible; visibility: hidden; background-color: #FFFFFF; border: 1px none #000000\" onMouseOver=\"if(ppcTI){clearTimeout(ppcTI);ppcTI=false;}\" onMouseOut=\"ppcTI=setTimeout(\'hideCalendar()\',500)\">");
				 document.writeln("<div id=\"monthSelector\" style=\"position:absolute; left:0px; top:0px; z-index:9; width:181px; height:27px; overflow: visible; visibility:inherit\">");}
				else if (document.layers) {
				 document.writeln("<layer id=\"PopUpCalendar\" pagex=\"0\" pagey=\"0\" width=\"200\" height=\"200\" z-index=\"100\" visibility=\"hide\" bgcolor=\"#FFFFFF\" onMouseOver=\"if(ppcTI){clearTimeout(ppcTI);ppcTI=false;}\" onMouseOut=\"ppcTI=setTimeout('hideCalendar()',500)\">");
				 document.writeln("<layer id=\"monthSelector\" left=\"0\" top=\"0\" width=\"181\" height=\"27\" z-index=\"9\" visibility=\"inherit\">");}
				else {
				 document.writeln("<p><font color=\"#FF0000\"><b>Error ! The current browser is either too old or too modern (usind DOM document structure).</b></font></p>");}
				</script>
				<noscript><p><font color="#FF0000"><b>JavaScript is not activated !</b></font></p></noscript>
				<table border="1" cellspacing="1" cellpadding="2" width="200" bordercolorlight="#000000" bordercolordark="#000000" vspace="0" hspace="0"><form name="ppcMonthList"><tr><td align="center" bgcolor="#CCCCCC"><a href="javascript:moveMonth('Back')" onMouseOver="window.status=' ';return true;"><font face="Arial, Helvetica, sans-serif" size="2" color="#000000"><b>&lt;&nbsp;</b></font></a><font face="MS Sans Serif, sans-serif" size="1"> 
				<select name="sItem" onMouseOut="if(ppcIE){window.event.cancelBubble = true;}" onChange="switchMonth(this.options[this.selectedIndex].value)" style="font-family: 'MS Sans Serif', sans-serif; font-size: 9pt"><option value="0" selected>2000 &#149; January</option><option value="1">2000 &#149; February</option><option value="2">2000 &#149; March</option><option value="3">2000 &#149; April</option><option value="4">2000 &#149; May</option><option value="5">2000 &#149; June</option><option value="6">2000 &#149; July</option><option value="7">2000 &#149; August</option><option value="8">2000 &#149; September</option><option value="9">2000 &#149; October</option><option value="10">2000 &#149; November</option><option value="11">2000 &#149; December</option><option value="0">2001 &#149; January</option></select></font><a href="javascript:moveMonth('Forward')" onMouseOver="window.status=' ';return true;"><font face="Arial, Helvetica, sans-serif" size="2" color="#000000"><b>&nbsp;&gt;</b></font></a></td></tr></form></table>
				<table border="1" cellspacing="1" cellpadding="2" bordercolorlight="#000000" bordercolordark="#000000" width="200" vspace="0" hspace="0"><tr align="center" bgcolor="#CCCCCC"><td width="20" bgcolor="#FFFFCC"><b><font face="MS Sans Serif, sans-serif" size="1">Su</font></b></td><td width="20"><b><font face="MS Sans Serif, sans-serif" size="1">Mo</font></b></td><td width="20"><b><font face="MS Sans Serif, sans-serif" size="1">Tu</font></b></td><td width="20"><b><font face="MS Sans Serif, sans-serif" size="1">We</font></b></td><td width="20"><b><font face="MS Sans Serif, sans-serif" size="1">Th</font></b></td><td width="20"><b><font face="MS Sans Serif, sans-serif" size="1">Fr</font></b></td><td width="20" bgcolor="#FFFFCC"><b><font face="MS Sans Serif, sans-serif" size="1">Sa</font></b></td></tr></table>
				<script language="JavaScript">
				if (document.all) {
				 document.writeln("</div>");
				 document.writeln("<div id=\"monthDays\" style=\"position:absolute; left:0px; top:52px; z-index:8; width:200px; height:17px; overflow: visible; visibility:inherit; background-color: #FFFFFF; border: 1px none #000000\">&nbsp;</div></div>");}
				else if (document.layers) {
				 document.writeln("</layer>");
				 document.writeln("<layer id=\"monthDays\" left=\"0\" top=\"52\" width=\"200\" height=\"17\" z-index=\"8\" bgcolor=\"#FFFFFF\" visibility=\"inherit\">&nbsp;</layer></layer>");}
				else {/*NOP*/}
		]]>
		</script>
		<!-- PopUp Calendar END -->
	
	</body>	
	</HTML>	
</xsl:template> 
</xsl:stylesheet>
		