<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- MACROS FOR PAGING  -->
	
	<!-- Display of a rail of page navigation : next/prev and the list of page number-->
	<xsl:template name="paging_Rail_macro">
		<xsl:param name="totalpage"/>
		<xsl:param name="currentpage"/>
		<xsl:param name="url"/>
		
			<xsl:value-of select="$string[544]"/>:&#160;
			
			<xsl:if test="$currentpage!=1"><a href="{$url}&amp;page={$currentpage - 2}"><b><xsl:value-of select="$string[545]"/></b></a></xsl:if>&#160;
				<xsl:call-template name="paging_numberlink_macro">
					<xsl:with-param name="number" select="1"/>
					<xsl:with-param name="max" select="$totalpage"/>
					<xsl:with-param name="url" select="$url"/>
				</xsl:call-template>
			<xsl:if test="$currentpage &lt; $totalpage"><a href="{$url}&amp;page={$currentpage}"><b><xsl:value-of select="$string[546]"/></b></a></xsl:if>
		
	</xsl:template>		
		
	<!-- Display the list of page number link :: recursive -->
	<xsl:template name="paging_numberlink_macro">
		<xsl:param name="number"/>
		<xsl:param name="max"/>
		<xsl:param name="url"/>
				
		<xsl:choose>
			<xsl:when test="$number - 1 = $page "><xsl:value-of select="$number"/></xsl:when>
			<xsl:otherwise><a href="{$url}&amp;page={$number - 1}"><b><xsl:value-of select="$number"/></b></a></xsl:otherwise>
		</xsl:choose>
		&#160;
		
		<xsl:if test="$number &lt; $max">
			<xsl:call-template name="paging_numberlink_macro">
				<xsl:with-param name="number" select="$number + 1"/>
				<xsl:with-param name="max" select="$max"/>
				<xsl:with-param name="url" select="$url"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
