<?xml version="1.0" encoding="ISO-8859-1"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<xsl:output method="html"/> 

<!-- Webpages Template : add/update/modify -->
<!-- last modified : 2001/10/26, by J.Roland -->
<!-- version 1.0 -->

	<xsl:template name="member_manager">
		<table style="border: 1px black solid; background: white; width: 100%" cellspacing="2">
			<tr><td width="60"><a href="default.asp?ACT=1&amp;SECT=M8"><img src="admin/media/users.gif" border="0"/></a></td>
			<td><font size="6"><xsl:value-of select="$string[130]"/></font></td></tr>
		</table>
		<xsl:choose>
			<xsl:when test="$id=''">
				<xsl:call-template name="member_list"/>
			</xsl:when>
			<xsl:when test="$id='new'">
				<xsl:call-template name="member_add"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:for-each select="document($memberfile)//members/member[id=$id]">
					<xsl:call-template name="member_update"/>
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
	<!-- member grid -->
	<xsl:template name="member_list">
		<table border="0" cellpadding="0" cellspacing="1" width="100%">		
			<tr align="center">
				<td class="header" width="16">&#160;</td>
				<td class="header" width="16">Id</td>
				<td class="header" width="50"><xsl:value-of select="$string[131]"/></td>
				<!--<td class="header"><xsl:value-of select="$string[132]"/></td>-->
				<td class="header" width="120"><xsl:value-of select="$string[133]"/></td>
				<td class="header"><xsl:value-of select="$string[134]"/></td>
				<td class="header"><xsl:value-of select="$string[135]"/></td>
				<td class="header" width="30"><xsl:value-of select="$string[441]"/></td>
				<td class="header" width="50"><xsl:value-of select="$string[432]"/></td>
			</tr>			
			
			<xsl:for-each select="document($memberfile)//members/member">
				<xsl:sort select="date" order="descending"/>
				<xsl:if test="position() &gt; number($page*$member_pagesize) and position() &lt;=  number(($page+1)*$member_pagesize) ">
					<tr class="data" ondblclick="goto('default.asp?ACT=1&amp;SECT=M8&amp;id={id}');" onmouseover="overtr(this);" onmouseout="notovertr(this);" onclick="selected(this);">
						<td><img src="admin/media/{visible}.gif" width="16" height="15"/></td>
						<td>&#160;<xsl:value-of select="id"/></td>
						<td>&#160;<xsl:value-of select="pseudo"/></td>
						<!--<td>&#160;<xsl:value-of select="password"/></td>-->
						<td>&#160;<xsl:value-of select="email"/></td>
						<td>&#160;<xsl:value-of select="ville"/></td>
						<td>&#160;<xsl:value-of select="concat(substring(date,7,2), '.', substring(date,5,2), '.', substring(date,1,4), ' ', substring(date,9,2), ':', substring(date,11,2))"/></td>
						<td>&#160;<xsl:value-of select="type"/></td>
						<td>&#160;<xsl:value-of select="newsletter"/></td>
					</tr>
				</xsl:if>
			</xsl:for-each>		
			<tr><td colspan="9">
				<!-- Navigation for the Paging -->
				<xsl:call-template name="paging_Rail_macro">
					<xsl:with-param name="totalpage" select="count(document($memberfile)//members/member) div $member_pagesize"/>
					<xsl:with-param name="currentpage" select="number($page)+1"/>
					<xsl:with-param name="url">default.asp?ACT=1&amp;SECT=M8</xsl:with-param>
				</xsl:call-template>
			</td></tr>						
			<tr><td colspan="9" align="right"><input onclick="document.location.href='default.asp?ACT=1&amp;SECT=M8&amp;id=new';" type="button" value="{$string[15]}"/></td></tr>
			
			<tr>
				<td colspan="9">
					<a href="members.asp"><xsl:value-of select="$string[565]"/></a>
				
				<!--<xsl:value-of select="$string[136]"/><br/><textarea name="allusermail">
					<xsl:for-each select="document($memberfile)//members/member"><xsl:value-of select="email"/>; </xsl:for-each>					
				</textarea>-->
			</td></tr>
		</table>
	</xsl:template>
	
	
	<!-- addUser template  -->
	<xsl:template name="member_add">
		<table bgcolor="white"><form action="default.asp?ACT=1&amp;SECT=M8" method="post"><tr><td>		
			
			<input type="hidden" name="operation" value="add"/>
			<input type="hidden" name="file" value="member"/>
			<input type="hidden" name="bloc" value="members"/>
			<input type="hidden" name="node" value="member"/>
					
			<table class="block">
				<tr><td class="xp_sel"><b>&#160;<xsl:value-of select="$string[131]"/> :</b></td><td><input type="text" value="" name="pseudo" class="full"/></td></tr>							
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[132]"/>:</td><td><input type="password" value="" name="password" class="full"/></td></tr>				
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[133]"/>:</td><td><input type="text" value="" name="email" class="full"/></td></tr>	
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[134]"/>:</td><td><input type="text" value="" name="ville" class="full"/></td></tr>							
				
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[139]"/>:</td><td><select name="visible"><option value="off" selected="selected">not visible</option><option value="on"> visible</option></select></td></tr>
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[432]"/>:</td><td><select name="newsletter"><option value="off"><xsl:value-of select="$string[61]"/></option><option value="on" selected="selected"> <xsl:value-of select="$string[60]"/></option></select></td></tr>
									
				<tr>
					<td class="xp_sel">&#160;<xsl:value-of select="$string[441]"/>:</td>
					<td>
						<select name="type">
							<option value="member" selected="selected"> <xsl:value-of select="$string[430]"/></option>
							<option value="editor"> <xsl:value-of select="$string[429]"/></option>							
							<xsl:if test="$usertype='administrator'">							
								<option value="administrator"> <xsl:value-of select="$string[428]"/></option>							
							</xsl:if>
						</select>
					</td>
				</tr>	
				
				<tr>
					<td colspan="2" align="right">
						<input type="submit" value="{$string[18]}"/>&#160;
						<input type="button" value="{$string[19]}" onclick="document.location.href='default.asp?ACT=1&amp;SECT=M8'"/>
					</td>
				</tr>
			</table>
		
		</td></tr></form></table>
	</xsl:template>
	
	
	<xsl:template name="member_update">
		<table bgcolor="white"><tr><td>
		
			<table class="block">
				<form action="default.asp?ACT=1&amp;SECT={$section}" method="post">
				<input type="hidden" name="file" value="member"/>
				<input type="hidden" name="operation" value="update"/>
				<input type="hidden" name="node" value="members/member[id={id}]"/>
				
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[131]"/>:</td><td><input type="text" value="{pseudo}" name="pseudo" class="full"/></td></tr>							
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[132]"/>:</td><td><input type="password" value="{password}" name="password" class="full"/></td></tr>	
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[133]"/>:</td><td><input type="text" value="{email}" name="email" class="full"/></td></tr>	
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[134]"/>:</td><td><input type="text" value="{ville}" name="ville" class="full"/></td></tr>							
				
				<tr>
					<td class="xp_sel">&#160;<xsl:value-of select="$string[441]"/>:</td>
					<td>
						<select name="type">
							<option value="member"><xsl:if test="type='member'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if><xsl:value-of select="$string[430]"/></option>
							<option value="editor"><xsl:if test="type='editor'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if><xsl:value-of select="$string[429]"/></option>
							<xsl:if test="$usertype='administrator'">		
								<option value="administrator"><xsl:if test="type='administrator'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> <xsl:value-of select="$string[428]"/></option>
							</xsl:if>
						</select>
					</td>
				</tr>					
				
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[139]"/>:</td><td><select name="visible"><option value="off"><xsl:if test="visible='off'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>not visible</option><option value="on"><xsl:if test="visible='on'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> visible</option></select></td></tr>
				<tr><td class="xp_sel">&#160;<xsl:value-of select="$string[432]"/>:</td><td><select name="newsletter"><option value="off"><xsl:if test="newsletter='off'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if><xsl:value-of select="$string[61]"/></option><option value="on"><xsl:if test="newsletter='on'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> <xsl:value-of select="$string[60]"/></option></select></td></tr>
				
				<tr>
					<td colspan="2" align="right">
						<input type="submit" value="{$string[18]}"/>&#160;
						<input type="button" value="{$string[19]}" onclick="document.location.href='default.asp?ACT=1&amp;SECT=M8'"/>
					</td>
				</tr>
			</form></table>
					
			<table class="block">
				<tr><form action="default.asp?ACT=1&amp;SECT={$section}" method="post" onsubmit="return confirm('{$string[137]}');">
					<td colspan="2" align="right">						
							<input type="hidden" name="file" value="member"/>
							<input type="hidden" name="operation" value="delete"/>
							<input type="hidden" name="node" value="members/member[id={id}]"/>
							<input type="submit" value="{$string[16]}"/>						
					</td></form>
				</tr>
			</table>
			
		</td></tr></table>
	</xsl:template>
	
</xsl:stylesheet>