<?xml version="1.0" encoding="ISO-8859-1"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" indent="no"/>
			
	 <!-- Menu calculation, the owner typer is passed as param -->
        <xsl:template name="display_categorybar">
		<xsl:param name="group"/>
		
            <xsl:apply-templates select="document($categoryfile)//categories/category[visible!='off' and member=$group]" mode="menu"></xsl:apply-templates>
        </xsl:template>	   
        	
	<!-- Macro for a category-->
	<xsl:template match="category" mode="menu">	    
	        <xsl:variable name="category" select="id"/>
	
            <xsl:call-template name="margin_design">
		    <xsl:with-param name="title">
				<xsl:value-of select="name"/>
				<xsl:if test="$usertype='administrator'">&#160;<a href="default.asp?ACT=1&amp;SECT=M18&amp;id={$category}"><img src="admin/media/edit.gif" width="6" height="6" border="0" alt="Edit"/></a></xsl:if>
			</xsl:with-param>
			
			<xsl:with-param name="body">
				
				<!-- Call Menu template but with the good sorting for the pages -->
				<xsl:choose>
					<xsl:when test="sortfield='name' and string-length(sortorder)&gt;0">
						<xsl:apply-templates select="document($datafile)//pages/page[visible='on'  and idparentpage='' and (category=$category or string-length(category)=0 ) and (string-length(publicationdate)=0 or $today>=publicationdate) and (string-length(expirationdate)=0 or expirationdate>$today)]" mode="menu">
							<xsl:sort select="name" order="{sortorder}" data-type="text"/>
						</xsl:apply-templates>
					</xsl:when>
					
					<xsl:when test="sortfield='publicationdate' and string-length(sortorder)&gt;0">
						<xsl:apply-templates select="document($datafile)//pages/page[visible='on'  and idparentpage='' and (category=$category or string-length(category)=0 ) and (string-length(publicationdate)=0 or $today>=publicationdate) and (string-length(expirationdate)=0 or expirationdate>$today)]" mode="menu">
							<xsl:sort select="publicationdate" order="{sortorder}" data-type="text"/>
						</xsl:apply-templates>
					</xsl:when>
					
					<xsl:when test="sortfield='id' and string-length(sortorder)&gt;0">
						<xsl:apply-templates select="document($datafile)//pages/page[visible='on'  and idparentpage='' and (category=$category or string-length(category)=0 ) and (string-length(publicationdate)=0 or $today>=publicationdate) and (string-length(expirationdate)=0 or expirationdate>$today)]" mode="menu">
							<xsl:sort select="id" order="{sortorder}" data-type="text"/>
						</xsl:apply-templates>
					</xsl:when>
					
					<xsl:otherwise>
						<xsl:apply-templates select="document($datafile)//pages/page[visible='on'  and idparentpage='' and (category=$category or string-length(category)=0 ) and (string-length(publicationdate)=0 or $today>=publicationdate) and (string-length(expirationdate)=0 or expirationdate>$today)]" mode="menu">
							<xsl:sort select="id" order="ascending" data-type="text"/>
						</xsl:apply-templates>

					</xsl:otherwise>					
					
				</xsl:choose>
				
				<xsl:if test="$usertype='administrator'">
					<xsl:call-template name="menu_item_design">
						<xsl:with-param name="content">
							<a href="default.asp?ACT=1&amp;SECT=M2&amp;id=new&amp;cat={$category}" class="menu"><xsl:value-of select="$string[254]"/></a>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	
	<!-- macro for a page entry in the menu -->
	<xsl:template match="page" mode="menu">
		<xsl:variable name="thispage" select="id"/>
											
			<xsl:call-template name="menu_item_design">
				<xsl:with-param name="content">
					<xsl:choose>
						<xsl:when test="externaltype='top'">
							<a href="{externallink}" class="menu" target="_top"><xsl:value-of select="name" disable-output-escaping="yes"/></a>
						</xsl:when>
						<xsl:when test="externaltype='blank'">
							<a href="{externallink}" class="menu" target="_blank"><xsl:value-of select="name" disable-output-escaping="yes"/></a>
						</xsl:when>
						<xsl:otherwise><a href="default.asp?id={id}&amp;mnu={id}" class="menu"><xsl:value-of select="name" disable-output-escaping="yes"/></a></xsl:otherwise>
					</xsl:choose>
					<xsl:if test="$usertype='administrator'">&#160;<a href="default.asp?ACT=1&amp;SECT=M2&amp;id={id}"><img src="admin/media/edit.gif" width="6" height="6" border="0" alt="Edit"/></a></xsl:if>
				</xsl:with-param>
			</xsl:call-template>
			
			<!-- Sub page--> 
			<xsl:for-each select="document($datafile)//pages/page[visible='on' and idparentpage=$thispage and ($thispage=$id or $thispage=$mnu )]">			
			<xsl:sort select="id" data-type="number" order="ascending"/>
				&#160;
				<xsl:call-template name="menu_item_design">
					<xsl:with-param name="content">
        					<xsl:choose>
        						<xsl:when test="externaltype='top'">
        							<a href="{externallink}" class="menu" target="_top"><xsl:value-of select="name" disable-output-escaping="yes"/></a>
        						</xsl:when>
        						<xsl:when test="externaltype='blank'">
        							<a href="{externallink}" class="menu" target="_blank"><xsl:value-of select="name" disable-output-escaping="yes"/></a>
        						</xsl:when>
        						<xsl:otherwise><a href="default.asp?id={id}&amp;mnu={$mnu}" class="menu"><xsl:value-of select="name" disable-output-escaping="yes"/></a></xsl:otherwise>
        					</xsl:choose>
        					<xsl:if test="$usertype='administrator'">&#160;<a href="default.asp?ACT=1&amp;SECT=M2&amp;id={id}"><img src="admin/media/edit.gif" width="6" height="6" border="0" alt="Edit"/></a></xsl:if>
        				</xsl:with-param>
				</xsl:call-template>
			</xsl:for-each>

	</xsl:template>

	
	<!-- TOP PAGES -->
	<xsl:template name="toppages">
		<xsl:call-template name="rightmargin_design">
			<xsl:with-param name="title">
				<xsl:value-of select="$string[67]"/>
			</xsl:with-param>
			
			<xsl:with-param name="body">
				<xsl:for-each select="document($datafile)//pages/page[visible='on' and string-length(idparentpage)=0]">			
				<xsl:sort select="count" data-type="number" order="descending"/>				
					<xsl:variable name="thispage" select="id"/>
					<xsl:variable name="category" select="category"/>
					
					<xsl:if test="position()&lt;6 and document($categoryfile)//categories/category[id=$category]/member='off'">					
						<xsl:call-template name="menu_item_design">
							<xsl:with-param name="content">
								<a href="default.asp?id={id}&amp;mnu={id}" class="menu"><xsl:value-of select="name" disable-output-escaping="yes"/></a><xsl:if test="$usertype='administrator'">&#160;<a href="default.asp?ACT=1&amp;SECT=M2&amp;id={id}"><img src="admin/media/edit.gif" width="6" height="6" border="0" alt="Edit"/></a></xsl:if>
							</xsl:with-param>
						</xsl:call-template>
						
						<xsl:for-each select="document($datafile)//pages/page[visible='on' and idparentpage=$thispage and ($thispage=$id or $thispage=$mnu )]">			
						<xsl:sort select="id" data-type="number" order="ascending"/>
							<xsl:call-template name="menu_item_design">
								<xsl:with-param name="content">
									<a href="default.asp?id={id}&amp;mnu={$thispage}" class="menu"><xsl:value-of select="name" disable-output-escaping="yes"/><xsl:if test="$usertype='administrator'">&#160;<a href="default.asp?ACT=1&amp;SECT=M2&amp;id={id}"><img src="admin/media/edit.gif" width="6" height="6" border="0" alt="Edit"/></a></xsl:if></a>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>	
				
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
			
</xsl:stylesheet>