<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" indent="no"/>
	<!-- photo template  -->
	<xsl:template name="photo">
		<xsl:variable name="nbphoto" select="count(siteinfo/photos/photo)"/>
		
		<xsl:variable name="next">
			<xsl:value-of select="number($pic)+1"/>
		</xsl:variable>
		<xsl:variable name="back">
			<xsl:value-of select="number($pic)-1"/>
		</xsl:variable>
				
		<xsl:choose>
			<xsl:when test="$pic=0">
				<xsl:for-each select="/siteinfo/photos/photo">
					<xsl:sort select="id" data-type="number"/>
						&#160;&#160;<a href="default.asp?ACT=2&amp;pic={id}&amp;id=0">
						<xsl:choose>
								<xsl:when test="string-length(thumbnail)&gt;0">
									<img style="border: 1px dashed black;" src="{thumbnail}" alt="{title}" />
								</xsl:when>
								<xsl:otherwise>
									<img style="border: 1px dashed black;" src="{image}" alt="{title}" width="60" height="60"/>
								</xsl:otherwise>
							</xsl:choose>				
						
					</a>
					<xsl:if test="position() mod 6 =0">
						<br/>
					</xsl:if>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<table cellpadding="0" cellspacing="0" width="100%" border="0">
					<tr>
						<td colspan="2" align="center">&#160;
							<xsl:call-template name="title_design">
								<xsl:with-param name="title">
									<xsl:value-of select="/siteinfo/photos/photo[id=$pic]/title" disable-output-escaping="yes"/>
								</xsl:with-param>
							</xsl:call-template>
						</td>
					</tr>
					<tr>
						<td align="center" colspan="2">
							<br/><img src="{siteinfo/photos/photo[id=$pic]/image}" alt="{siteinfo/photos/photo[id=$pic]/title}"/>					
						</td>
					</tr>
					<tr class="wppicturestext">
						<td colspan="2">&#160;
							<xsl:call-template name="normaltext_design">
								<xsl:with-param name="text">
									<xsl:value-of select="/siteinfo/photos/photo[id=$pic]/text" disable-output-escaping="yes"/>
								</xsl:with-param>
							</xsl:call-template>						
						</td>
					</tr>
					<tr align="center">
						<td width="50%">
							<xsl:if test="number($back+1)>1">
								<a href="default.asp?ACT=2&amp;pic={$back}&amp;id=0">
									<xsl:value-of select="$string[251]"/>
								</a>
							</xsl:if>
						</td>
						<td>
							<xsl:if test="($nbphoto+1)>$next">
								<a href="default.asp?ACT=2&amp;pic={$next}&amp;id=0">
									<xsl:value-of select="$string[252]"/>
								</a>
							</xsl:if>
						</td>
					</tr>
				</table>
			</xsl:otherwise>
		</xsl:choose>
		<img src="templates/admin/media/dot.gif" width="1" height="6"/>
	</xsl:template>
</xsl:stylesheet>
