<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" indent="no"/>
	
	<!-- search results processor  -->
	<xsl:template name="search">
		<br/>
		
		<xsl:choose>
			<xsl:when test="$kind='forum'"><xsl:call-template name="ForumsResults"/></xsl:when>
			<xsl:when test="$kind='article'"><xsl:call-template name="ArticlesResults"/></xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="ArticlesResults"/>
				<xsl:call-template name="ForumsResults"/>
			</xsl:otherwise>
		</xsl:choose>		
				
		<center><xsl:call-template name="searchform"/></center>		
	</xsl:template>
	
	
	<!-- Search in articles -->
	<xsl:template name="ArticlesResults">
		<xsl:variable name="up" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
            	<xsl:variable name="lo" select="'abcdefghijklmnopqrstuvwxyzeea'"/>            
            	<xsl:variable name="lokeyword" select="translate($keyword,$up,$lo)"/>
		
					
		<!-- Search articles -->
		<xsl:call-template name="title_design">
			<xsl:with-param name="title" select="$string[563]"/>
		</xsl:call-template>
		
		<!-- for each category -->
		<xsl:for-each select="document($categoryfile)//categories/category[visible='on' and member!='admin']">
			<xsl:variable name="idcategory" select="id"/>
				
			<xsl:if test="count(document($datafile)//pages/page[category=$idcategory and visible='on'])&gt;0">				
				<!-- for each page of the category -->
				<xsl:for-each select="document($datafile)//pages/page[category=$idcategory and visible='on']">
					<xsl:variable name="idpage" select="id"/>						
					<xsl:variable name="pagebody" select="translate(body,$up,$lo)"/>
					<xsl:variable name="pagename" select="translate(name,$up,$lo)"/>
						
					<!-- check the page -->
					<xsl:if test="contains($pagename, $lokeyword) or contains($pagebody, $lokeyword)">
						<xsl:choose>							    
							<xsl:when test="(document($categoryfile)//categories/category[id=$idcategory]/member='on' and $usertype='anonymous')">
								<li><xsl:value-of select="title"/></li>
							</xsl:when>
							<xsl:otherwise>
							   <li><a href="default.asp?id={$idpage}&amp;mnu={$idpage}"><xsl:value-of select="name"/></a></li>
							</xsl:otherwise>
						</xsl:choose>	
					</xsl:if>								
												
					<!-- Check each article of the page -->
					<xsl:for-each select="document($datafile)//contents/content[idpage=$idpage and visible='on']">
						<xsl:variable name="body" select="translate(body,$up,$lo)"/>
						<xsl:variable name="headlines" select="translate(headlines,$up,$lo)"/>
						<xsl:variable name="title" select="translate(title,$up,$lo)"/>
					
						<xsl:if test="(contains($title, $lokeyword) or contains($body, $lokeyword) or contains($headlines, $lokeyword))">
							<xsl:choose>							    
								<xsl:when test="(document($categoryfile)//categories/category[id=$idcategory]/member='on' and $usertype='anonymous')">
									<li><xsl:value-of select="title"/></li>
								</xsl:when>
								<xsl:otherwise>
								   <li><a href="default.asp?id={$idpage}&amp;mnu={$idpage}&amp;ACT=5&amp;content={id}"><xsl:value-of select="title"/></a></li>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:if>
		</xsl:for-each>		
		<p/>
	</xsl:template>


	<!-- ================ -->
	<!-- search in the forums -->
	<xsl:template name="ForumsResults">
		<xsl:variable name="up" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
            	<xsl:variable name="lo" select="'abcdefghijklmnopqrstuvwxyzeea'"/>            
            	<xsl:variable name="lokeyword" select="translate($keyword,$up,$lo)"/>

		
			<xsl:call-template name="title_design">
				<xsl:with-param name="title" select="$string[564]"/>
		</xsl:call-template>
		
		<xsl:for-each select="document($discussionfile)//discussions/discussion[visible='on']//message[visible!='off']">
			<xsl:sort select="date" order="descending"/>
			<xsl:variable name="newsgroupid" select="ancestor::discussion/id"/>			
				<xsl:variable name="title" select="translate(title,$up,$lo)"/>
				<xsl:variable name="bodymsg" select="translate(body,$up,$lo)"/>
				<xsl:if test="contains($title, $lokeyword) or contains($bodymsg, $lokeyword)">
					<li>
						<a href="default.asp?ACT=17&amp;grp={$newsgroupid}&amp;msg={id}" ><xsl:value-of select="title"/></a>  [<xsl:value-of select="substring(date, 7, 2)"/>.<xsl:value-of select="substring(date, 5, 2)"/>.<xsl:value-of select="substring(date, 1, 4)"/>&#160;<xsl:value-of select="substring(date, 9, 2)"/>:<xsl:value-of select="substring(date, 11, 2)"/> - <xsl:value-of select="l"/>]
					</li>
				</xsl:if>
		</xsl:for-each>
		<p/>
	</xsl:template>
	
	<!-- Affichage de la boite de recherche -->
	<xsl:template name="searchform">
		<table cellpadding="0" cellspacing="0"><tr>
		<form action="default.asp?ACT=4" method="post">
			<TD>
				<xsl:call-template name="normaltext_design">
					<xsl:with-param name="text">
						&#160;<xsl:value-of select="$string[240]"/> &#160;<input type="text" name="keyword" size="8" value="{$keyword}"/>&#160;<input type="submit" value="ok"/>
					</xsl:with-param>
				</xsl:call-template>
			</TD>
		</form>
		</tr></table>
	</xsl:template>
	
	
	
	<xsl:template name="searchformmargin">		
		<xsl:call-template name="margin_design">
			<xsl:with-param name="title">
				<xsl:value-of select="$string[240]"/>
			</xsl:with-param>
			<xsl:with-param name="body">
				<table cellpadding="0" cellspacing="0"><tr>
				<form action="default.asp?ACT=4" method="post">
					<TD>
						<xsl:call-template name="normaltext_design">
							<xsl:with-param name="text">
								&#160;<input type="text" name="keyword" size="8" value="{$keyword}"/>&#160;<input type="submit" value="ok"/>
							</xsl:with-param>
						</xsl:call-template>
					</TD>
				</form>
				</tr></table>
			</xsl:with-param>
		</xsl:call-template>		
	</xsl:template>

	
</xsl:stylesheet>
