<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:vb="http://msgxml.com/vb">
    
<xsl:output method="html" indent="no"/>    
<xsl:include href="functions.xsl"/>

		

<!-- Signup calculation -->
<xsl:template name="signup">				
	<table border="0" width="100%" cellpadding="1" cellspacing="0">
		<form action="default.asp?ACT=10" method="post">
			<input type="hidden" name="file" value="member"/>
			<input type="hidden" name="operation" value="add"/>
			<input type="hidden" name="bloc" value="members"/>
			<input type="hidden" name="node" value="member"/>
			<input type="hidden" name="visible" value="{/siteinfo/data/inscriptionstate}"/>
			
			<input type="hidden" name="type" value="member"/>
			<input type="hidden" name="sign_guid" value="{$guid}"/>
			
			<tr>
				<td colspan="2">
					<xsl:call-template name="normaltext_design">
						<xsl:with-param name="text">
							<xsl:value-of select="$string[301]"/>
						</xsl:with-param>
					</xsl:call-template>					
				</td>
			</tr>
			<tr>
				<td width="100">
					<xsl:call-template name="normaltext_design">
						<xsl:with-param name="text">
							<xsl:value-of select="$string[302]"/> (*)
						</xsl:with-param>
					</xsl:call-template>
				</td>
				<td><input type="text" name="unique_pseudo" size="50"/></td>
			</tr>
			<tr>
				<td>
					<xsl:call-template name="normaltext_design">
						<xsl:with-param name="text">
							<xsl:value-of select="$string[303]"/> (*)
						</xsl:with-param>
					</xsl:call-template>					
				</td>
				<td><input type="password" name="comp_password" size="50"/></td>
			</tr>
			<tr>
				<td>
					<xsl:call-template name="normaltext_design">
						<xsl:with-param name="text">
							<xsl:value-of select="$string[304]"/> (*)
						</xsl:with-param>
					</xsl:call-template>					
				</td>
				<td><input type="text" size="50" name="comp_email"/></td></tr>
			<tr>
				<td>
					<xsl:call-template name="normaltext_design">
						<xsl:with-param name="text">
							<xsl:value-of select="$string[305]"/> (*)
						</xsl:with-param>
					</xsl:call-template>					
				</td>
				<td><input type="text" size="50" name="comp_ville"/></td></tr>
			<tr>
				<td colspan="2" align="right">
					<xsl:call-template name="normaltext_design">
						<xsl:with-param name="text">
							<xsl:value-of select="$string[431]"/>
						</xsl:with-param>
					</xsl:call-template>					
				&#160;<input type="checkbox" checked="checked" name="newsletter"/>
				</td>
			</tr>
			<tr>
				<td colspan="2" align="right"><input type="submit" value="{$string[306]}"/></td>
			</tr>
			<tr>
				<td colspan="2" align="center">
					<xsl:call-template name="normaltext_design">
						<xsl:with-param name="text">
							<xsl:value-of select="$string[307]"/>
						</xsl:with-param>
					</xsl:call-template>					
				</td>
			</tr>
		</form>
	</table>
</xsl:template>
			
<!-- SIGNUP Validation -->		
<xsl:template name="signupthx">
	<xsl:variable name="vbcrlf">
		<xsl:text>
</xsl:text>
		</xsl:variable>
	
	<!-- if webmaster want it, send an alert -->
	<xsl:if test="/siteinfo/data/wsignup='on' and string-length($goback)=0">
		<xsl:call-template name="Mailer">
			<xsl:with-param name="ToEmail" select="string(/siteinfo/data/email)"/>
			<xsl:with-param name="FromEmail" select="string($comp_email)"/>
			<xsl:with-param name="Subject" select="string($string[385])"/>
			<xsl:with-param name="Message" select="concat($string[302], ': ', $unique_pseudo, $vbcrlf, $string[304], ': ', $comp_email, $vbcrlf, $string[305], ': ', $comp_ville )"/>
		</xsl:call-template>
	</xsl:if>
	
	
	<!-- if signup mode is a email confirmation -->
	<xsl:if test="/siteinfo/data/inscriptionstate='email' and string-length($goback)=0">
		<xsl:call-template name="Mailer">
			<xsl:with-param name="ToEmail" select="$comp_email"/>
			<xsl:with-param name="FromEmail" select="string(/siteinfo/data/email)"/>
			<xsl:with-param name="Subject" select="string($string[423])"/>
			<xsl:with-param name="Message" select="concat($string[424], /siteinfo/data/url, $vbcrlf, $string[425], $vbcrlf, /siteinfo/data/url, '/default.asp?guid=', $sign_guid, $vbcrlf, $vbcrlf, $string[426],$vbcrlf, $string[302], ': ', $unique_pseudo, $vbcrlf, $string[303], ': ', $comp_password)"/>					
		</xsl:call-template>
	</xsl:if>
	
	<!-- Dislpay the thx message -->
	<xsl:call-template name="hightlightedtext_design">
		<xsl:with-param name="text">
			<xsl:choose>
				<xsl:when test="/siteinfo/data/inscriptionstate='off'"><xsl:value-of select="$string[309]"/></xsl:when>
				<xsl:when test="/siteinfo/data/inscriptionstate='email'"><xsl:value-of select="$string[427]"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="$string[308]"/></xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
			
			
<!-- Affichage de la boite de login -->			
<xsl:template name="loginform">	
	<xsl:call-template name="margin_design">
		<xsl:with-param name="title">
			<xsl:value-of select="$string[248]"/>
		</xsl:with-param>
		<xsl:with-param name="body">
			<TABLE cellspacing="1" cellpadding="0" border="0">
				<form action="default.asp?id={1}&amp;mnu={1}" method="post">
				<TR>
					<TD>
						&#160;&#160;&#160;<input class="text" type="text" size="14" name="lgn" value="{$lgn}"/><br/>
						&#160;&#160;&#160;<input class="text" type="password" size="10" name="pwd"/>&#160;<input type="submit" value='ok' class="sbttn"/>
					</TD>
				</TR>
				</form>
				<!-- register -->
				<tr>
				    <td align="center">				
        			        <xsl:if test="$usertype='anonymous' and /siteinfo/data/signup='on'">
        				    <xsl:call-template name="normaltext_design"><xsl:with-param name="text"><a href="default.asp?id=0&amp;ACT=9"><xsl:value-of select="$string[241]"/></a></xsl:with-param></xsl:call-template><br/>
        			        </xsl:if>
        			        <xsl:if test="$usertype='anonymous' and /siteinfo/data/emailCOM!='off' ">
        				    <xsl:call-template name="normaltext_design"><xsl:with-param name="text"><a href="default.asp?id=0&amp;ACT=20"><xsl:value-of select="$string[460]"/></a></xsl:with-param></xsl:call-template>
        			        </xsl:if>
				    </td>
				  </tr>
			</TABLE>		
		</xsl:with-param>
	</xsl:call-template>	
</xsl:template>


<xsl:template name="forgotpassword">
	<xsl:call-template name="hightlightedtext_design">
		<xsl:with-param name="text">
			<xsl:value-of select="$string[462]"/>
		</xsl:with-param>
	</xsl:call-template>
	<table width="300">
		<form action="default.asp?ACT=21" method="post">
		<tr><td><xsl:value-of select="$string[463]"/></td><td><input type="text" name="pseudo"/></td></tr>
		<tr><td><xsl:value-of select="$string[464]"/></td><td><input type="text" name="email"/></td></tr>
		<tr><td colspan="2" align="right"><input type="submit" value="{$string[465]}"/></td></tr>
		</form>
	</table>	
</xsl:template>


<xsl:template name="forgotpasswordsend">
	
	<xsl:variable name="vbcrlf">
		<xsl:text>
</xsl:text>
		</xsl:variable>
	<xsl:variable name="rmbpwd"><xsl:value-of select="document($memberfile)//members/member[pseudo=$pseudo and email=$email]/password"/></xsl:variable>


	<xsl:choose>
		<xsl:when test="string-length($rmbpwd)=0">
			<xsl:call-template name="hightlightedtext_design">
				<xsl:with-param name="text">
					<xsl:value-of select="$string[470]"/><br/>
					<a href="default.asp?ACT=20"><xsl:value-of select="$string[472]"/></a>&#160;<a href="default.asp?ACT=9"><xsl:value-of select="$string[473]"/></a>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<!-- Envoi du mail -->
			<xsl:call-template name="Mailer">
				<xsl:with-param name="ToEmail" select="string($email)"/>
				<xsl:with-param name="FromEmail" select="string(/siteinfo/data/email)"/>
				<xsl:with-param name="Subject" select="string($string[466])"/>
				<xsl:with-param name="Message" select="concat($string[467], $vbcrlf, $vbcrlf, $string[463], ': ', $pseudo, $vbcrlf, $string[468] , ': ', $rmbpwd, $vbcrlf,$vbcrlf, string(/siteinfo/data/url), $vbcrlf, $string[469])"/>
			</xsl:call-template>
			
		
			<xsl:call-template name="hightlightedtext_design">
				<xsl:with-param name="text">
					<xsl:value-of select="$pseudo"/>, <xsl:value-of select="$string[471]"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>

	<!--we send the email -->		
</xsl:template>

<!-- My account form -->
<xsl:template name="myaccountform">
	<script>
		function ValidateForm()
		{
			if (window.document.forms["frmMyAccount"].password.value==0 || window.document.forms["frmMyAccount"].email.value==0 || window.document.forms["frmMyAccount"].ville.value==0)
				alert('<xsl:value-of select="$string[475]"/>');
			else
			{
				if (window.document.forms["frmMyAccount"].cbnewsletter.checked)
					window.document.forms["frmMyAccount"].newsletter.value = 'on';
				else
					window.document.forms["frmMyAccount"].newsletter.value = 'off';
				window.document.forms["frmMyAccount"].submit();
			}	
		}
	</script>
			
	<xsl:for-each select="document($memberfile)//members/member[pseudo=$username]">
		<xsl:variable name="userid" select="id"/>
		<table border="0" width="100%" cellpadding="1" cellspacing="0">
			<form action="default.asp?ACT=23" method="post" name="frmMyAccount">
				<input type="hidden" name="file" value="member"/>
				<input type="hidden" name="operation" value="update"/>
				<input type="hidden" name="node" value="members/member[id={$userid}]"/>
				<input type="hidden" name="newsletter" value=""/>
												
				<tr>
					<td width="100">
						<xsl:call-template name="normaltext_design">
							<xsl:with-param name="text">
								<xsl:value-of select="$string[302]"/> (*)
							</xsl:with-param>
						</xsl:call-template>
					</td>
					<td><font color="#ff0000"><xsl:value-of select="$username"/></font></td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="normaltext_design">
							<xsl:with-param name="text">
								<xsl:value-of select="$string[303]"/> (*)
							</xsl:with-param>
						</xsl:call-template>					
					</td>
					<td><input type="password" name="password" size="50" value="{password}"/></td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="normaltext_design">
							<xsl:with-param name="text">
								<xsl:value-of select="$string[304]"/> (*)
							</xsl:with-param>
						</xsl:call-template>					
					</td>
					<td><input type="text" size="50" name="email" value="{email}"/></td></tr>
				<tr>
					<td>
						<xsl:call-template name="normaltext_design">
							<xsl:with-param name="text">
								<xsl:value-of select="$string[305]"/> (*)
							</xsl:with-param>
						</xsl:call-template>					
					</td>
					<td><input type="text" size="50" name="ville" value="{ville}"/></td></tr>
				<tr>
					<td colspan="2" align="right">
						<xsl:call-template name="normaltext_design">
							<xsl:with-param name="text">
								<xsl:value-of select="$string[431]"/>
							</xsl:with-param>
						</xsl:call-template>					
					&#160;
					<input type="checkbox" name="cbnewsletter">
						<xsl:if test="newsletter='on'"><xsl:attribute name="checked">checked</xsl:attribute></xsl:if>
					</input>
					</td>
				</tr>
				<tr>
					<td colspan="2" align="right"><input type="button" value="{$string[306]}" onclick="ValidateForm();"/></td>
				</tr>
				<tr>
					<td colspan="2" align="center">
						<xsl:call-template name="normaltext_design">
							<xsl:with-param name="text">
								<xsl:value-of select="$string[307]"/>
							</xsl:with-param>
						</xsl:call-template>					
					</td>
				</tr>
			</form>
		</table>
	</xsl:for-each>
</xsl:template>

	<xsl:template name="myaccountthx">
		<xsl:call-template name="normaltext_design">
			<xsl:with-param name="text">
				<xsl:value-of select="$string[476]"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>


	<!-- online member box -->
	<xsl:template name="online_members_macro">
		<xsl:variable name="email_object" select="/siteinfo/data/emailCOM"/> 
		
		 <xsl:call-template name="margin_design">
		    <xsl:with-param name="title">
				<xsl:value-of select="concat(count(document($sessionfile)//sessions/session[string-length(@username)>0]), ' ', $string[547])"/>
			</xsl:with-param>
			
			<xsl:with-param name="body">
				<xsl:for-each select="document($sessionfile)//sessions/session[string-length(@username)>0]">
					<xsl:call-template name="menu_item_design">
						<xsl:with-param name="content">
							<xsl:choose>
								<xsl:when test="$email_object != 'off'"><a href="default.asp?ACT=25&amp;member={@userid}&amp;id=0" class="menu"><xsl:value-of select="@username"/></a></xsl:when>
								<xsl:otherwise><xsl:value-of select="@username"/></xsl:otherwise>
							</xsl:choose>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:with-param>
		</xsl:call-template>		
	</xsl:template>
	
	<!-- Form to send an email beetween members -->
	<xsl:template name="sendmailForm">
		
		<xsl:choose>
			<xsl:when test="$usertype='anonymous'">
				<!-- user is not logged -->
				<xsl:call-template name="hightlightedtext_design">
					<xsl:with-param name="text" select="$string[561]"/>
				</xsl:call-template>				
			</xsl:when>
			<xsl:when test="$subject and $message">
				<!-- Send the email -->
				<xsl:call-template name="Mailer">
					<xsl:with-param name="ToEmail" select="string(document($memberfile)//members/member[id=$member]/email)"/>
					<xsl:with-param name="FromEmail" select="string(document($memberfile)//members/member[pseudo=$username]/email)"/>
					<xsl:with-param name="Subject" select="$subject"/>
					<xsl:with-param name="Message" select="$message"/>					
				</xsl:call-template>
				<xsl:call-template name="hightlightedtext_design">
					<xsl:with-param name="text" select="$string[562]"/>
				</xsl:call-template>			
			</xsl:when>
			<xsl:otherwise>
				<!-- Display the form -->
				<table>
				<form action="default.asp?ACT=25" method="post">
					<input type="hidden" name="member" value="{$member}"/>
					<tr><td><b><xsl:value-of select="$string[556]"/></b></td><td><xsl:value-of select="document($memberfile)//members/member[pseudo=$username]/email"/></td></tr>
					<tr><td><b><xsl:value-of select="$string[557]"/></b></td><td><xsl:value-of select="$username"/></td></tr>
		
					<tr><td><b><xsl:value-of select="$string[558]"/></b></td><td><input type="text" name="subject"/></td></tr>
					<tr><td colspan="2"><b><xsl:value-of select="$string[559]"/></b></td></tr>
					<tr><td colspan="2"><textarea rows="20" cols="40" name="message"/></td></tr>
					<tr><td colspan="2" align="right"><input type="submit" value="{$string[560]}"/></td></tr>
				</form>
				</table>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
						
</xsl:stylesheet>
