<?xml version="1.0" encoding="UTF-8"?> 
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:vb="http://msgxml.com/vb"> 
<xsl:output method="html"/> 

	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="no"/>
			
			
	<!-- Include : variables et add-on  -->
	<xsl:include href="../common/macros.xsl"/>	
	<xsl:include href="skin.xsl"/>
	
	<!--	
		THIS IS THE BASE TEMPLATE 
		========================
		ALL XSL:TEMPLATE WITH "_design" extension can be changed in the skin.xsl file wich can be found in the same directory
	-->
	
		
	<xsl:template match="/">
				
		<HTML xmlns="http://www.w3.org/1999/xhtml">
			<HEAD>	
				<META http-equiv="Content-Type" content="text/html; charset={/siteinfo/data/encoding}"/>
				<META name="Copyright" 	content="{/siteinfo/data/copyright}"/>
				<META name="Keywords" 	content="{/siteinfo/data/keywords}"/>
				<META name="Description" 	content="{/siteinfo/data/description}"/>
				<META name="GENERATOR" content="Fullxml 2.0 - http://www.fullxml.com"/>
				<TITLE><xsl:value-of select="/siteinfo/data/title" disable-output-escaping="yes"/></TITLE>
				<LINK rel="SHORTCUT ICON" href="media/favicon.ico"/>
				
				<style>
					BODY {FONT-SIZE: 12px; FONT-FAMILY: Arial}
					TD {FONT-SIZE: 12px; FONT-FAMILY: Arial}
					
					A {	FONT-WEIGHT: normal; FONT-SIZE: 12px; COLOR: #0850A0}
					A:hover {COLOR: #ff6600; TEXT-DECORATION: none	}
					
					A.newsgroup {	FONT-WEIGHT: bold; FONT-SIZE: 16px; COLOR: #CC6600; TEXT-DECORATION: none}
					A.newsgroup:hover {COLOR: #003399; TEXT-DECORATION: none}					
														
					A.toolbar{FONT-WEIGHT: bold; COLOR: #ffffff; TEXT-DECORATION: none ; FONT-SIZE: 11px; FONT-FAMILY: Arial; TEXT-TRANSFORM: uppercase;}
					A.toolbar:Hover { FONT-WEIGHT: bold; COLOR: #FF0000; TEXT-DECORATION: none; TEXT-TRANSFORM: uppercase;}
										
					A.menu {FONT-WEIGHT: bold; COLOR: #996633; TEXT-DECORATION: none}
					A.menu:hover {FONT-WEIGHT: bold; COLOR: #003399; TEXT-DECORATION: none}
					
					A.gateway {FONT-WEIGHT: bold; COLOR: #000000; TEXT-DECORATION: none}
					A.gateway:hover {FONT-WEIGHT: bold; COLOR: #990000; TEXT-DECORATION: none}
					
					A.link:Hover { COLOR:#800000; font-size: 8pt; font-family: Arial; text-decoration:none}
					A.link	{color:black; font-size: 8pt; font-family: Arial; text-decoration:none}
					
					<!-- for the directory add-on-->
					A.cat {font-size: 18px; font-weight: bold; font-family: Tahoma}
					A.subcat {font-size: 12px; font-weight: normal; font-family: Tahoma}	
					A.trail {font-size: 12px; font-weight: normal; font-family: Tahoma}
					
					<!-- Here you can customize the size of the eframe -->
					iframe.external{width: 100%; height: 600px;}

				</style>
				
							
			</HEAD>
		
		<xsl:choose>
			<xsl:when test="string-length(/siteinfo/data/gateway)&gt;0 and $gateway=1 and $ACT=0">
				<xsl:call-template name="gateway_design"></xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
		
				<!-- Start edit here -->
				<body  bgcolor="#FFFFFF"><!-- link="#003399" alink="#FF9933" vlink="#996633" text="#000000"-->
							
					<!-- START OF THE HEADER -->
					<table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td><xsl:call-template name="titlebloc_macro"/></td>
							<td align="right"><xsl:call-template name="advertisement_macro"/></td>
						</tr>
					</table>
					<br/>						
					<!-- END OF THE HEADER -->
									
					<!-- Design for the toolbar-->
					<xsl:call-template name="toolbar_global_design"/>
					
					<!--MENU bar-->
					<xsl:call-template name="menubar_macro"/>
												
					<!-- Design of the main table -->
					<table border="0" cellpadding="0" cellspacing="1" width="100%" height="500" bgcolor="#FFFFFF">
						<tr valign="top"  bgcolor="#FFFFFF">
							<br/>
					    	<xsl:choose>
								
								<!-- LEFT MARGIN --><!-- ADD-ON  -->
								<xsl:when test="/siteinfo/pages/page[id=$id]/margintype=1 or string-length(/siteinfo/pages/page[id=$id]/margintype)=0">									 
									<td width="171">
										<img src="skins/eshop/media/dot.gif" width="171" height="1"/><br/>
										<xsl:call-template name="fullmargin_macro"/>
									</td>
									<td width="15">&#160;</td>
							    		<td width="100%" bgcolor="#FFFFFF"><xsl:call-template name="pagetitle_macro"/><xsl:call-template name="pagebody_macro"/></td>
							    </xsl:when>
								
								<!-- RIGHT MARGIN -->
								<xsl:when test="/siteinfo/pages/page[id=$id]/margintype=2">									
									<td width="100%" bgcolor="#FFFFFF"><xsl:call-template name="pagetitle_macro"/><xsl:call-template name="pagebody_macro"/></td>
							    	<td width="15">&#160;</td>
							    	<td width="140">
							    		<img src="skins/eshop/media/dot.gif" width="140" height="1"/><br/>
							    		<xsl:call-template name="fullmargin_macro"/>
							    	</td>
								</xsl:when>								
								
								<!-- BOTH MARGIN-->
								<xsl:otherwise>
									<td width="171">
										<img src="skins/eshop/media/dot.gif" width="171" height="1"/><br/>
										<xsl:call-template name="leftmargin_macro"/>
									</td>
							    	<td width="15">&#160;</td>
							    	<td><xsl:call-template name="pagetitle_macro"/><xsl:call-template name="pagebody_macro"/></td>
							    	<td width="15">&#160;</td>
							    	<td width="140">
							    		<img src="skins/eshop/media/dot.gif" width="140" height="1"/><br/>
							    		<xsl:call-template name="rightmargin_macro"/>
							    	</td>
								</xsl:otherwise>
							</xsl:choose>					    		
					    		
					    	</tr>
					 </table>	
				<!-- End of the main table -->	
				
				
				<!-- Footer -->				
				<table border="0" cellpadding="0" cellspacing="1" width="100%" align="center">
					<tr height="20"><td bgcolor="{$myColor}" align="center"><font color="#ffffff"><b><xsl:call-template name="copyright_macro"/></b></font></td></tr>
				</table>	
					
				</body>
		
			</xsl:otherwise>
		</xsl:choose>
		
		</HTML>		

	</xsl:template>
</xsl:stylesheet>
