<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    	
<xsl:output method="html" omit-xml-declaration="yes"/>

	<!-- variables globales used dans les templates -->
	<xsl:param name="usermessage"/>
	<xsl:param name="msxml4"/>
	<xsl:param name="goback"/>
	<xsl:param name="usertype"/>
	<xsl:param name="username"/>
	<xsl:param name="actualdate"/>
	<xsl:param name="now"/>
	<xsl:param name="mappath"/>
	<xsl:param name="visitors"/>
	<xsl:param name="guid"/>

	<xsl:param name="cat"/>
	<xsl:param name="page"/>
	<xsl:param name="item"/>
	
	<!-- Pointer to the data files -->	
	<xsl:param name="languagespath"/>
	<xsl:param name="datafile"/>
	<xsl:param name="discussionfile"/>
	<xsl:param name="pollfile"/>
	<xsl:param name="logfile"/>
	<xsl:param name="memberfile"/>
	<xsl:param name="reactfile"/>
	<xsl:param name="guestbookfile"/>
	<xsl:param name="taskfile"/>
	<xsl:param name="mediafile"/>
	<xsl:param name="downloadfile"/>
	<xsl:param name="categoryfile"/>
	<xsl:param name="bannerfile"/>
	<xsl:param name="directoryfile"/>
	<xsl:param name="sessionfile"/>
	
	
	<!-- Global variables-->
	<xsl:variable name="today" select="substring($actualdate,1,8)"/>
	
	<!-- We load the languages strings array -->
	<xsl:variable name="language" select="/siteinfo/data/language"/>
	<xsl:variable name="languagefilename"  select="document(concat($languagespath, '\_index.xml'))//languages/language[id=$language]/filename"/>
	<xsl:variable name="string" select="document(concat($languagespath, '\', $languagefilename))//language/strings/string"/>

	<!-- Include : variables et add-on  -->
	<!--<xsl:include href="../common/macros.xsl"/>	
	<xsl:include href="skin.xsl"/>-->
				
	 <xsl:template match="/">
		<wml>
			<xsl:choose>
				<xsl:when test="string-length($item)&gt;0">
					<xsl:call-template name="detailarticle"/>
				</xsl:when>
				<xsl:when test="string-length($page)&gt;0 and $page!=0">
					<xsl:call-template name="menupage"/>
				</xsl:when>
				<xsl:when test="string-length($cat)&gt;0">
					<xsl:call-template name="menucategory"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="welcome"/>
				</xsl:otherwise>
			</xsl:choose>
		</wml>
	</xsl:template>
	
	
	<!-- the welcome screen, with the list of category -->
	<xsl:template name="welcome">
		<card title="Welcome">
			<p><big><b><xsl:apply-templates select="/siteinfo/data/name"/></b></big></p>
				<p align="right"><i><small><xsl:apply-templates select="/siteinfo/data/slogan"/></small></i></p>	
				
				<xsl:for-each select="document($categoryfile)//categories/category[visible!='off' and member='off']">
				 	<xsl:sort select="order" data-type="number" order="ascending"/>
				 	<p><a href="default.asp?cat={id}&amp;wap=1" id="cat_{id}"><xsl:apply-templates select="name"/></a></p>
				</xsl:for-each>			
		</card>	
	</xsl:template>
	
	<xsl:template name="menucategory">
		<card title="Select a Page">
			<p><big><xsl:value-of select="document($categoryfile)//categories/category[id=$cat]/name" disable-output-escaping="yes"/></big></p>
			<xsl:for-each select="document($datafile)//pages/page[visible='on'  and idparentpage='' and category=$cat and (string-length(publicationdate)=0 or $today>=publicationdate) and (string-length(expirationdate)=0 or expirationdate>$today)]">
				<p><a href="default.asp?page={id}&amp;cat={$cat}&amp;wap=1"><xsl:value-of select="name" disable-output-escaping="yes"/></a></p>
			</xsl:for-each>
		</card>
	</xsl:template>
	
	<xsl:template name="menupage">
		<card title="Choose an article">
			<p><big><xsl:apply-templates select="document($datafile)//pages/page[id=$page]/name"/></big></p>
			<p><xsl:apply-templates select="document($datafile)//pages/page[id=$page]/body"/></p>
			<xsl:for-each select="document($datafile)//siteinfo/contents/content[visible='on'  and idpage=$page]">
				<p><a href="default.asp?item={id}&amp;page={$page}&amp;cat={$cat}&amp;wap=1"><xsl:apply-templates select="title"/></a></p>
			</xsl:for-each>
		</card>
	</xsl:template>
	
	<xsl:template name="detailarticle">
		<card title="Article">
			<p>	<big><b><xsl:apply-templates select="document($datafile)//siteinfo/contents/content[id=$item]/title"/></b></big></p>
			<p>	<small><xsl:apply-templates select="document($datafile)//siteinfo/contents/content[id=$item]/headlines"/></small></p>			
		</card>
	</xsl:template>
	
	<xsl:template match="font"></xsl:template>
	<xsl:template match="br"><p/></xsl:template>
	<xsl:template match="BR"><p/></xsl:template>
	
	<xsl:template match="name"><xsl:apply-templates/></xsl:template>
	
	<xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

	<xsl:template match="head|title|style|font"> <xsl:apply-templates/></xsl:template>

</xsl:stylesheet>
